Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020790
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2012-06-18 12:412012-06-27 05:28
ReporteregoitzView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version3.0MP13
StatusclosedFix in branchFixed in SCM revision0efeacc08e9c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020790: The date selector on the datetime references should fill the time with the current time after selet a date

DescriptionThe date selector on the datetime references should fill the time with the current time after selet a date.
This works on this way on date time selector on 2.50
Steps To Reproduce-Change the refererence of a field from date to datetime
-After recompile access to the application to the window where the field changed is located.
-Open the datetime selector.
-Select a date
-See that the time is fillled with 00:00:00 and not current time.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0025284 closedalostale When changing the value of a datetime field using the date selector, the time is changed to the current time 

-  Notes
(0049919)
alostale (developer)
2012-06-19 15:14

This fix affects date-time component, which is known to be very sensitive to timezones and different formats. To prevent regression risk, the following test cases have been executed in:
  -Editing grid and form views
  -Different date formats
  -Server and client in same and different time zones

Test plan:
  -Change c_oder.order date column to DateTime reference.
  -In Sales Order window create new record and set order date using calendar widget -> date should be the selected one and time current one (in DB it should be stored as server local time whereas in client should be shown in client local time).
  -Edit an existent order selecting date using calendar widget -> check the same as in previous step.
  -Edit date time manually -> edited values are kept
(0049920)
hgbot (developer)
2012-06-19 15:25

Repository: erp/devel/pi
Changeset: 0efeacc08e9cde6cc5ecc4dd4962838d21c207a5
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Jun 19 15:23:47 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/0efeacc08e9cde6cc5ecc4dd4962838d21c207a5 [^]

fixed bug 20790: Default to current time when selecting date-time with calendar

  DateTime reference now defaults current time when a date is selected, behaving
  in this way as it did in 2.50.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-datetime.js
---
(0049996)
AugustoMauch (developer)
2012-06-21 17:47

Code reviewed and verified in pi@f06b2e72932e
(0050124)
hudsonbot (developer)
2012-06-27 05:28

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/cf3a7135839f [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-06-18 12:41 egoitz New Issue
2012-06-18 12:41 egoitz Assigned To => alostale
2012-06-18 12:41 egoitz Modules => Core
2012-06-19 15:14 alostale Note Added: 0049919
2012-06-19 15:25 hgbot Checkin
2012-06-19 15:25 hgbot Note Added: 0049920
2012-06-19 15:25 hgbot Status new => resolved
2012-06-19 15:25 hgbot Resolution open => fixed
2012-06-19 15:25 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0efeacc08e9cde6cc5ecc4dd4962838d21c207a5 [^]
2012-06-21 17:47 AugustoMauch Note Added: 0049996
2012-06-21 17:47 AugustoMauch Status resolved => closed
2012-06-21 17:47 AugustoMauch Fixed in Version => 3.0MP13
2012-06-27 05:28 hudsonbot Checkin
2012-06-27 05:28 hudsonbot Note Added: 0050124
2013-12-10 15:01 alostale Relationship added related to 0025284


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker